{pkgs}: let
  inherit (builtins) readFile;

  update-lockfile = pkgs.writeShellApplication {
    name = "update-lockfile";
    runtimeInputs = with pkgs; [
      git
      yj
      nodejs-14_x
      direnv
      nodePackages.npm-check-updates
    ];
    text = readFile ./update-lockfile;
  };
in {
  update-lockfile = {
    type = "app";
    program = "${update-lockfile}/bin/update-lockfile";
  };
}
